Subject: bug#14630: 24.3.50; emacs_backtrace.txt

From: martin rudalics <[email-masked]>
Date: Tue, 18 Jun 2013 21:31:58 +0200

> The backtraces reported by Drew consistently point to this line in
 > w32fns.c:
 >
 > 	    form.rcArea.top += WINDOW_HEADER_LINE_HEIGHT (w);
 >
 > i.e. to whatever happens in the expansion of
 > WINDOW_HEADER_LINE_HEIGHT.

But quite a lot can happen in this expansion.  Can this fail in
CURRENT_HEADER_LINE_HEIGHT?  Drew - do you use header lines in the first
place?

 > The XBUFFER part there was already handled
 > by the BUFFERP condition, so the only one remaining is XWINDOW.  Which
 > is why I added WINDOWP.

You mean FRAMEP?

 >> Maybe we should start replacing BUFFERP by BUFFER_LIVE_P.  BUFFERP (like
 >> WINDOWP and FRAMEP) is IMHO harmful virtually everywhere.
 >
 > I didn't touch any BUFFERP or related macro in the last change.

I know.  I meant that instead of BUFFERP (w->contents) we could check
BUFFER_LIVE_P (XBUFFER (w->contents)) there.

martin